@import models.authentication.{AdminRight, RightsHelper}
@(rightsHelper: RightsHelper)(implicit lang: Lang, request: Request[_], i18nMessages: Messages)

<html ng-app="recording-server">
<head>
    @head(i18nMessages("RecordingList"))
    <script src="@routes.Assets.at("javascripts/disk.js")" type="text/javascript"></script>
    <script src="@routes.Assets.at("javascripts/services/diskSpace.service.js")" type="text/javascript"></script>
    <script src="@routes.Assets.at("javascripts/angular-charts.js")" type="text/javascript"></script>
    <script src="@routes.Assets.at("javascripts/records.js")" type="text/javascript"></script>
    <link rel="stylesheet" media="screen" href="@routes.Assets.at("stylesheets/index.css")"/>
</head>
<body ng-controller='PageController' Lang="@{lang.language}">
@navigation_bar(rightsHelper)
 <div class="container-fluid recording-container">
    <ul class="nav nav-tabs" id="searchTabs" role="tablist">
        <li class="nav-item in active">
            <a class="nav-link active" id="simple-search-tab" data-toggle="tab" href="#simple-search" role="tab" aria-controls="simple-search" aria-selected="true">@i18nMessages("SimpleSearch")</a>
        </li>
        <li>
            <a id="advanced-search-tab" data-toggle="tab" href="#advanced-search" role="tab" aria-controls="advanced-search" aria-selected="false">@i18nMessages("AdvancedSearch")</a>
        </li>
        <li>
            <a id="search-by-callId-tab" data-toggle="tab" href="#search-by-callId" role="tab" aria-controls="search-by-callId" aria-selected="false">@i18nMessages("SearchByCallId")</a>
        </li>
    </ul>
    <div class="tab-content" id="searchTabsContent">
        <div class="tab-pane fade in active" id="simple-search" role="tabpanel" aria-labelledby="simple-search-tab">
            <form ng-submit="simpleSearch(1)" class="form-horizontal search-group">
                <div class="row">
                    <em class="col-sm-12">@i18nMessages("FilterResultsBy")</em>
                    <div class="col-sm-12 text-right">
                        <span class='glyphicon glyphicon-info-sign info-tooltip'></span>
                        <span class="note">@i18nMessages("Note")</span>
                    </div>
                    <div class="col-sm-12 top-buffer">
                        <span class="col-sm-1">
                            <label>@i18nMessages("PhoneNumber")</label>
                            <span class='glyphicon glyphicon-info-sign info-tooltip' title="@i18nMessages("SearchByPhoneNumber")"></span>
                        </span>
                        <span class="col-sm-2">
                            <input type="text" class="form-control" ng-model="request.number" placeholder="ex:0456124758"/>
                        </span>

                    </div>
                    <div class="col-sm-12 top-buffer">
                        <span class="col-sm-1">
                            <label>@i18nMessages("AttachedData")</label>
                            <span class='glyphicon glyphicon-info-sign info-tooltip' title="@i18nMessages("SearchInAttachedData")"></span>
                        </span>
                        <span class="col-sm-2">
                            <select class="form-control" ng-model="request.key">
                                <option ng-repeat="key in attachedDataKeys" value="{{key}}">{{key}}</option>
                            </select>
                        </span>
                        <span class="col-sm-1">
                            <label>@i18nMessages("Value")</label>
                            <span class='glyphicon glyphicon-info-sign info-tooltip' title="@i18nMessages("SearchValue")"></span>
                        </span>
                        <span class="col-sm-2">
                            <input type="text" class="form-control" ng-model="request.value" placeholder="ex:1234"/>
                        </span>
                    </div>
                    <div class="col-sm-12 top-buffer">
                        <span class="col-sm-1">
                            <label>@i18nMessages("between")</label>
                        </span>
                        <span class="col-sm-2">
                            <input id="start-simple" type="text" class="start date form-control" data-date-format="DD-MM-YYYY HH:mm"/>
                        </span>
                        <span class="col-sm-1">
                            <label>@i18nMessages("and")</label>
                        </span>
                        <span class="col-sm-2">
                            <input id="end-simple" type="text" class="end date form-control" data-date-format="DD-MM-YYYY HH:mm"/>
                        </span>
                    </div>
                    <div class="col-sm-12 top-buffer">
                        <button type="submit" class="btn btn-success">@i18nMessages("Search")</button>
                        <span class="loader" ng-show="loading"></span>
                    </div>
                </div>
            </form>
        </div>
        <div class="tab-pane fade" id="advanced-search" role="tabpanel" aria-labelledby="advanced-search-tab">
            <form ng-submit="find(1)" class="form-horizontal search-group">
                <div class="row">
                    <em class="col-sm-12">@i18nMessages("FilterResultsBy")</em>
                    <div class="col-sm-12 text-right">
                        <span class='glyphicon glyphicon-info-sign info-tooltip'></span>
                        <span class="note">@i18nMessages("Note")</span>
                    </div>
                    <div class="col-sm-12">
                        <span>
                            <input type="radio" ng-model="request.direction" value="all" id="radio_all"/>
                            <label for="radio_all">@i18nMessages("All")</label>
                        </span>
                        <span>
                            <input type="radio" ng-model="request.direction" value="incoming" id="radio_incoming"/>
                            <label for="radio_incoming">@i18nMessages("Incoming")</label>
                        </span>
                        <span>
                            <input type="radio" ng-model="request.direction" value="outgoing" id="radio_outgoing"/>
                            <label for="radio_outgoing">@i18nMessages("Outgoing")</label>
                        </span>
                    </div>
                    <div class=" col-sm-12 top-buffer">
                        <span class="col-sm-1">
                            <label>@i18nMessages("Caller")</label>
                            <span class='glyphicon glyphicon-info-sign info-tooltip' title="@i18nMessages("SearchNumber")"></span>
                        </span>
                        <span class="col-sm-2">
                            <input type="text" class="form-control" ng-model="request.caller" empty-to-null/>
                        </span>
                        <span class="col-sm-1">
                            <label>@i18nMessages("Called")</label>
                            <span class='glyphicon glyphicon-info-sign info-tooltip' title="@i18nMessages("SearchNumber")"></span>
                        </span>
                        <span class="col-sm-2">
                            <input type="text" class="form-control" ng-model="request.callee" empty-to-null/>
                        </span>

                    </div>
                    <div class=" col-sm-12 top-buffer">
                        <span class="col-sm-1">
                            <label>@i18nMessages("Queue")</label>
                            <span class='glyphicon glyphicon-info-sign info-tooltip' title="@i18nMessages("SearchByQueueNameOrNumber")"></span>
                        </span>
                        <span class="col-sm-2">
                            <input type="text" class="form-control" ng-model="request.queue" empty-to-null/>
                        </span>
                        <span class="col-sm-1">
                            <label>@i18nMessages("Agent")</label>
                            <span class='glyphicon glyphicon-info-sign info-tooltip' title="@i18nMessages("SearchByAgentNameOrNumber")"></span>
                        </span>
                        <span class="col-sm-2">
                            <input type="text" class="form-control" ng-model="request.agent" empty-to-null/>
                        </span>
                    </div>
                    <div class="col-sm-12 top-buffer">
                        <span class="col-sm-1">
                            <label>@i18nMessages("AttachedData")</label>
                            <span class='glyphicon glyphicon-info-sign info-tooltip' title="@i18nMessages("SearchInAttachedData")"></span>
                        </span>
                        <span class="col-sm-2">
                            <select  class="form-control" ng-model="request.key">
                                <option ng-repeat="key in attachedDataKeys" value="{{key}}">{{key}}</option>
                            </select>
                        </span>
                        <span class="col-sm-1">
                            <label>@i18nMessages("Value")</label>
                            <span class='glyphicon glyphicon-info-sign info-tooltip' title="@i18nMessages("SearchValue")"></span>
                        </span>
                        <span class="col-sm-2">
                            <input type="text" class="form-control" ng-model="request.value" placeholder="ex:1234"/>
                        </span>
                    </div>
                    <div class=" col-sm-12 top-buffer">
                        <span class="col-sm-1">
                            <label>@i18nMessages("between")</label>
                        </span>
                        <span class="col-sm-2">
                            <input id="start-advanced" type="text" class="start date form-control" data-date-format="DD-MM-YYYY HH:mm"/>
                        </span>
                        <span class="col-sm-1">
                            <label>@i18nMessages("and")</label>
                        </span>
                        <span class="col-sm-2">
                            <input id="end-advanced" type="text" class="end date form-control" data-date-format="DD-MM-YYYY HH:mm"/>
                        </span>
                    </div>
                    <div class="col-sm-12 top-buffer">
                        <button type="submit" class="btn btn-success">@i18nMessages("Search")</button>
                        <span class="loader" ng-show="loading"></span>
                    </div>
                </div>
            </form>
        </div>
        <div class="tab-pane fade" id="search-by-callId" role="tabpanel" aria-labelledby="search-by-callId-tab">
            <form ng-submit="searchByCallid()" class="form-horizontal search-group">
                <div class="row">
                    <div class="col-sm-12">
                       <span class="col-sm-1">
                           <label>@i18nMessages("CallId")</label>
                           <span class='glyphicon glyphicon-info-sign info-tooltip' title="@i18nMessages("SearchByCallID")"></span>
                       </span>
                        <span class="col-sm-2">
                            <input type="text" class="form-control" ng-model="callid"/>
                        </span>
                        <span class="col-sm-2">
                            <button type="button" class="btn btn-success" ng-click="searchByCallid()">@i18nMessages("Search")</button>
                            <span class="loader" ng-show="loading"></span>
                        </span>
                    </div>
                </div>
            </form>
        </div>
    </div>
     <table class="table table-hover table-condensed table-striped">
        <thead>
        <tr>
            <th>@i18nMessages("CallingNumber")</th>
            <th>@i18nMessages("CalledNumber")</th>
            <th>@i18nMessages("Agent")</th>
            <th>@i18nMessages("Queue")</th>
            <th>@i18nMessages("Start")</th>
            <th>@i18nMessages("Data")</th>
            <th class="text-right">
                @if(request.session.get("username").isDefined && rightsHelper.getUserRights(request.session.get("username").get) == Some(AdminRight())) {
                <h3>
                    <a ng-click="getAccessLog()" href=""  title="@i18nMessages("ConsultationDiary")">
                    <i class="glyphicon glyphicon-file"></i>
                    </a>
                </h3>
                }
            </th>
        </tr>
        </thead>
        <tbody id="records">
        <tr ng-repeat="record in records">
            <td>{{record.src_num}}</td>
            <td>{{record.dst_num}}</td>
            <td>
                <span ng-repeat="agent in record.agent track by $index">{{agent}}{{$last ? '' : ', '}}</span>
            </td>
            <td>
                <span ng-repeat="queue in record.queue track by $index">{{queue}}{{$last ? '' : ', '}}</span>
            </td>
            <td>{{record.start}}</td>
            <td>
                <p ng-repeat="(key, value) in record.attached_data">{{key}} : {{value}}</p>
            </td>
            <td class="text-right">
                <audio controls controlsList="nodownload" oncontextmenu="return false;" listen-play-event>
                    <source ng-src="{{getRecordResultPath(record)}}">
                    @i18nMessages("YourBrowserCantSupportElement") <code>audio</code>.
                </audio>
                <a ng-href="records/{{record.id}}/audio/download" target="_blank" download title="@i18nMessages("DownloadFile")" class="download">
                <i class="glyphicon glyphicon-save"></i>
                </a>
            </td>
        </tr>
        </tbody>
    </table>
    <div class="footer">
        <div class="footer-left">
            <ul class="pagination" id="pager" style="float:left">
                <li ng-show="currentPage > 1"><a href="#" ng-click="fetchFunction(currentPage - 1)"> @i18nMessages("Previous")</a></li>
                <li ng-show="hasNext"><a href="#" ng-click="fetchFunction(currentPage + 1)"> @i18nMessages("Next")</a></li>
            </ul>
        </div>
        @avencall_logo()
    </div>
 </div>
 </body>
</html>
